%define	xineversion 1.2.0
#define	xinerel	1
%define rel 	1

Name:		xine-ui
Summary:	A Free Video Player
Version:	0.99.14
Release:	%mkrel %rel
License:	GPLv2+
Group:		Video/Players
URL:		https://xine.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/xine/%name-%version.tar.xz
Source1:	xine.desktop
Patch0:		%name-0.99.10-mga-i18n-desktop.patch
Patch1:		fix-tvout-parenthesis.patch
Patch2:		fix-missed-strlcpy-on-arm.patch
#Patch3:		fix-attr-inline-stringops.patch
#Patch4:		fix-remove-attr-inline-stringops.patch
Patch5:		fix-attr-inline-stringops-skin.patch
#Patch6:		fix-size-for-overflow-warnings.txt
#Patch7:		fix-attr-inline-stringops-xitk.patch
Patch7:		xine-ui-0.99.14-mga-fix-attr-inline-stringops-xitk.patch
#
# from deb
Patch11:	01-fix-lirc-pkg-config.patch
#Patch12:	02-typos.patch
#Patch13:	03-fix-build.patch
#Patch14:	04-remove-malloc.h-include.patch
#Patch15:	05-fix-ub-overlapping-src-and-dst-for-strlcpy.patch
#Patch16:	06-fix-build-with-libcaca-0.99.beta20.patch
Patch17:	07-undefined-macro.patch
#
Requires:	curl
BuildRequires:	aalib-devel
BuildRequires:	gettext
BuildRequires:	pkgconfig(caca)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libxine) >= %xineversion
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	readline-devel
%ifarch %ix86 x86_64
BuildRequires:	libnvtvsimple-devel
%endif
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(libjpeg)

%description
xine is a free GPL-licensed video player for UNIX-like systems.

User interface for the X Window system.

%package	aa
Summary:	XINE - Ascii Art player
Group:		Video/Players
#Requires:	xine-plugins >= %%xineversion-%%xinerel
#Requires:	xine-aa

%description	aa
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with ascii art (text mode) output.

%package	fb
Summary:	XINE - framebuffer video player
Group:		Video/Players
#Requires:	xine-plugins >= %%xineversion-%%xinerel

%description	fb
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with support for linux framebuffer output.


%prep
%setup -q
%autopatch -p1

%build
export XINE_DOCPATH="%_datadir/doc/xine-ui"
%configure --enable-vdr-keys --with-caca --with-aalib
%make_build

%install
%make_install transform=""

#language files
%find_lang xine-ui --all-name --with-man

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE1}

rm -rf %buildroot%_datadir/doc
rm -rf %buildroot%_datadir/xine/desktop

%files -f xine-ui.lang
%doc AUTHORS ChangeLog README
%doc doc/README*
%_bindir/xine*
%_datadir/xine
%_datadir/pixmaps/*
%_datadir/applications/*.desktop
%_datadir/icons/hicolor/*/apps/xine*
%_datadir/mime/packages/xine-ui.xml
%_mandir/man1/*

%files aa
%doc README
%_bindir/aaxine
%_bindir/cacaxine

%files fb
%doc README
%_bindir/fbxine


%changelog
* Tue Apr 25 2023 kekepower <kekepower> 0.99.14-1.mga9
+ Revision: 1954898
- Update to version 0.99.14

* Mon Nov 07 2022 ghibo <ghibo> 0.99.13-6.mga9.tainted
+ Revision: 1904398
- Remove ATTR_INLINE_ALL_STRINGOPS xitk_lower_strlcpy (arm)
- Remove ATTR_INLINE_ALL_STRINGOPS from _skin_strdup (for arm).
- Fix size against overflow warnings (for arm).
- Remove attr-inline-all-stringops attribute for strlcpy prototype (for arm)
- Bump release
- Add Patch3 to fix attr inline stringops
- Add gettext to BRs
- Add missed xxf86vm to BRs
- Add patch to fix missed strlcpy prototype on arm
- Bump release
- Add more BuildRequires
- Update to release 0.99.13.
- Add patches from debian (patches 11-17).
- Add patch to fix building (patch1).

* Tue Apr 05 2022 umeabot <umeabot> 0.99.12-4.mga9.tainted
+ Revision: 1845472
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 0.99.12-3.mga8
+ Revision: 1542372
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 0.99.12-2.mga8.tainted
+ Revision: 1476027
- rebuild for readline

* Wed Dec 11 2019 daviddavid <daviddavid> 0.99.12-1.mga8.tainted
+ Revision: 1465874
- new version: 0.99.12

* Fri Oct 11 2019 daviddavid <daviddavid> 0.99.10-1.mga8.tainted
+ Revision: 1451493
- new version: 0.99.10
- rediff mga-i18n-desktop patch

* Thu Oct 04 2018 umeabot <umeabot> 0.99.9-6.mga7
+ Revision: 1317398
- Mageia 7 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.99.9-5.mga7.tainted
+ Revision: 1301912
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 wally <wally> 0.99.9-4.mga7
+ Revision: 1189482
- rebuild for new readline

* Tue Feb 09 2016 umeabot <umeabot> 0.99.9-3.mga6
+ Revision: 951847
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 alexl <alexl> 0.99.9-2.mga5
+ Revision: 809241
- updated desktop file

* Sun Oct 26 2014 cjw <cjw> 0.99.9-1.mga5
+ Revision: 793561
- 0.99.9
- use xine-lib 1.2 (works with current ffmpeg, fixes mga #9578)

* Wed Oct 15 2014 umeabot <umeabot> 0.99.7-12.mga5.tainted
+ Revision: 746781
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.99.7-11.mga5.tainted
+ Revision: 690665
- Mageia 5 Mass Rebuild

* Fri Sep 12 2014 alexl <alexl> 0.99.7-10.mga5
+ Revision: 674824
- translated desktop file

* Sat Oct 19 2013 umeabot <umeabot> 0.99.7-9.mga4.tainted
+ Revision: 533254
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 tv <tv> 0.99.7-8.mga4.tainted
+ Revision: 472367
- rebuild for new libmng

* Mon Jun 03 2013 fwang <fwang> 0.99.7-7.mga4
+ Revision: 436269
- rebuild for new libpng

* Sun Apr 07 2013 luigiwalser <luigiwalser> 0.99.7-6.mga3
+ Revision: 408806
- rebuild to really fix mga#9055

* Sat Mar 30 2013 rtp <rtp> 0.99.7-5.mga3
+ Revision: 406727
- build with nvtvsimple only on x86

* Sun Mar 17 2013 lmenut <lmenut> 0.99.7-4.mga3
+ Revision: 403619
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Mon Jan 21 2013 barjac <barjac> 0.99.7-3.mga3
+ Revision: 390639
- update group
- clean spec
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 12 2012 fwang <fwang> 0.99.7-1.mga3
+ Revision: 260039
- update file list
- add more brs
- new version 0.99.7

* Fri Sep 16 2011 fwang <fwang> 0.99.6-4.mga2
+ Revision: 144218
- clean up spec
- fix build with latest curl
- fix build with latest png

* Thu Mar 10 2011 mikala <mikala> 0.99.6-4.mga1
+ Revision: 67749
- Remove BuildRoot
- Remove mdk macros
- imported package xine-ui

